:root {
    --navy: #09194D;
    --orange: #FC8A00;
    --green: #31CC31;
    --white: #FFFFFF;
    --footer-tp: #0a298f;
    --footer-md: #0e1b47;
    --footer-bt: #050e2c;
}

footer {
    background: var(--navy);
    color: var(--white);
}

.footer-top {
    background: var(--footer-tp);
    padding: 2rem;
    display: flex;
    justify-content: center;
    gap: 3rem;
}

.footer-top p {
    font-size: 0.9rem;
    line-height: 1.4;
}

.footer-top .footer-about {
    width: 25%;
}

.footer-top .footer-links ul {
    list-style: none;
    padding: 0;
}

.footer-top .footer-links ul a {
    margin-bottom: 0.5rem;
    text-decoration: none;
    color: var(--orange);
}

.footer-top .footer-links ul a:hover {
    color: var(--green);
}

.footer-top .footer-contact .social-icons a {
    margin: 0 0.2rem;
    font-size: 1.5rem;
    color: var(--orange);
    transition: color 0.3s;
    text-decoration: none;
}

.footer-top .footer-contact .social-icons a:hover {
    color: var(--green);
}

.footer-top .footer-logo {
    height: 80px;
    margin-bottom: 1rem;
}

.footer-top .footer-reach {
    width: 25%;
}

.footer-top .footer-reach a {
    color: var(--orange);
    text-decoration: none;
}

.footer-top .footer-reach a:hover {
    color: var(--green);
}

footer form input {
    padding: 0.5rem;
    border-radius: 5px;
    border: none;
    margin-right: 0.5rem;
    height: 1.5rem;
    
}

.footer-middle {
    background: var(--navy);
}

.footer-partners {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    padding: 0.5rem;
}

.footer-partners img {
    width: 5rem;
    margin: 1rem;
    border-radius: 5px;
}

.footer-partners p {
    color: var(--white);
    font-size: 0.9rem;
    text-align: center;
    width: 15%;
    font-style: italic;
}

.footer-bottom {
    background: var(--footer-bt);
    text-align: center;
    padding-top: 0;
    margin-top: 0;
    padding: 0.1rem;
}

.footer-bottom p {
    font-size: 0.8rem;
    margin-bottom: 0.4rem;
}


@media (max-width: 768px) {
    .footer-top {
        flex-direction: column;
        gap: 1.5rem;
        padding: 1.5rem;
    }

    .footer-top .footer-about,
    .footer-top .footer-reach {
        width: 100%;
        text-align: center;
    }

    .footer-top .footer-links ul {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .footer-top .footer-contact form {
        flex-direction: column;
        gap: 1rem;
    }

    .footer-top .footer-contact form input {
        margin-right: 0;
        height: 2rem;
    }

    .footer-partners {
        grid-template-columns: 1fr;
        padding: 1rem;

    }

    .footer-partners img {
        width: 3rem;
        margin: 0.5rem;
    }

    .footer-partners p {
        width: 100%;
        text-align: center;
        font-size: 0.8rem;
    }

    .footer-bottom p {
        font-size: 0.7rem;
    }

    .footer-links h3, .footer-contact, h4 {
        text-align: center;
    }
}